<%
/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 *
 *
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/enterprise_admin/init.jsp" %>

<%
String redirect = ParamUtil.getString(request, "redirect");

long ldapServerId = ParamUtil.getLong(request, "ldapServerId", 0);

String postfix = PortalLDAPUtil.getPropertyPostfix(ldapServerId);

String ldapServerName = ParamUtil.getString(request, "settings(ldap.server.name"+ postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), "ldap.server.name" + postfix, StringPool.BLANK));
String ldapBaseProviderUrl = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_BASE_PROVIDER_URL + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_BASE_PROVIDER_URL + postfix));
String ldapBaseDN = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_BASE_DN + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_BASE_DN + postfix));
String ldapSecurityPrincipal = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_SECURITY_PRINCIPAL + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_SECURITY_PRINCIPAL + postfix));
String ldapSecurityCredentials = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_SECURITY_CREDENTIALS + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_SECURITY_CREDENTIALS + postfix));
String ldapAuthSearchFilter = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_AUTH_SEARCH_FILTER + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_AUTH_SEARCH_FILTER + postfix));
String ldapImportUserSearchFilter = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_IMPORT_USER_SEARCH_FILTER + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_IMPORT_USER_SEARCH_FILTER + postfix));
String ldapImportGroupSearchFilter = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_IMPORT_GROUP_SEARCH_FILTER + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_IMPORT_GROUP_SEARCH_FILTER + postfix));
String ldapUsersDN = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_USERS_DN + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_USERS_DN + postfix));
String ldapUserDefaultObjectClasses = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_USER_DEFAULT_OBJECT_CLASSES + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_USER_DEFAULT_OBJECT_CLASSES + postfix));
String ldapGroupsDN = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_GROUPS_DN + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_GROUPS_DN + postfix));

String ldapUserMappings = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_USER_MAPPINGS + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_USER_MAPPINGS + postfix));

String[] userMappingArray = ldapUserMappings.split("\n");

String userMappingScreenName = StringPool.BLANK;
String userMappingPassword = StringPool.BLANK;
String userMappingEmailAddress = StringPool.BLANK;
String userMappingFullName = StringPool.BLANK;
String userMappingFirstName = StringPool.BLANK;
String userMappingLastName = StringPool.BLANK;
String userMappingJobTitle = StringPool.BLANK;
String userMappingGroup = StringPool.BLANK;

for (int i = 0 ; i < userMappingArray.length ; i++) {
	if (userMappingArray[i].indexOf("=") == -1) {
		continue;
	}

	String mapping[] = userMappingArray[i].split("=");

	if (mapping.length != 2) {
		continue;
	}

	if (mapping[0].equals("screenName")) {
		userMappingScreenName = mapping[1];
	}
	else if (mapping[0].equals("password")) {
		userMappingPassword = mapping[1];
	}
	else if (mapping[0].equals("emailAddress")) {
		userMappingEmailAddress = mapping[1];
	}
	else if (mapping[0].equals("fullName")) {
		userMappingFullName = mapping[1];
	}
	else if (mapping[0].equals("firstName")) {
		userMappingFirstName = mapping[1];
	}
	else if (mapping[0].equals("lastName")) {
		userMappingLastName = mapping[1];
	}
	else if (mapping[0].equals("jobTitle")) {
		userMappingJobTitle = mapping[1];
	}
	else if (mapping[0].equals("group")) {
		userMappingGroup = mapping[1];
	}

	mapping[1] = "";
}

String ldapGroupMappings = ParamUtil.getString(request, "settings(" + PropsKeys.LDAP_GROUP_MAPPINGS + postfix + ")", PrefsPropsUtil.getString(company.getCompanyId(), PropsKeys.LDAP_GROUP_MAPPINGS + postfix));

String[] groupMappingArray = ldapGroupMappings.split("\n");

String groupMappingGroupName = StringPool.BLANK;
String groupMappingDescription = StringPool.BLANK;
String groupMappingUser = StringPool.BLANK;

for (int i = 0 ; i < groupMappingArray.length ; i++) {
	if (userMappingArray[i].indexOf("=") == -1) {
		continue;
	}

	String mapping[] = groupMappingArray[i].split("=");

	if (mapping.length != 2) {
		continue;
	}

	if (mapping[0].equals("groupName")) {
		groupMappingGroupName = mapping[1];
	}
	else if (mapping[0].equals("description")) {
		groupMappingDescription = mapping[1];
	}
	else if (mapping[0].equals("user")) {
		groupMappingUser = mapping[1];
	}
}
%>

<script type="text/javascript">
	<portlet:namespace/>testSettings = function(type) {
		var url = null;

		var data = {};

		if (type == "ldapConnection") {
			url = "<portlet:renderURL windowState="<%= LiferayWindowState.EXCLUSIVE.toString() %>"><portlet:param name="struts_action" value="/enterprise_admin/test_ldap_connection" /></portlet:renderURL>";
		}
		else if (type == "ldapGroups") {
			url = "<portlet:renderURL windowState="<%= LiferayWindowState.EXCLUSIVE.toString() %>"><portlet:param name="struts_action" value="/enterprise_admin/test_ldap_groups" /></portlet:renderURL>";

			data.<portlet:namespace />importGroupSearchFilter = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_GROUP_SEARCH_FILTER + postfix %>)'].value;
			data.<portlet:namespace />groupMappingGroupName = document.<portlet:namespace />fm['<portlet:namespace />groupMappingGroupName'].value;
			data.<portlet:namespace />groupMappingDescription = document.<portlet:namespace />fm['<portlet:namespace />groupMappingDescription'].value;
			data.<portlet:namespace />groupMappingUser = document.<portlet:namespace />fm['<portlet:namespace />groupMappingUser'].value;
		}
		else if (type == "ldapUsers") {
			url = "<portlet:renderURL windowState="<%= LiferayWindowState.EXCLUSIVE.toString() %>"><portlet:param name="struts_action" value="/enterprise_admin/test_ldap_users" /></portlet:renderURL>";

			data.<portlet:namespace />importUserSearchFilter = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_USER_SEARCH_FILTER + postfix %>)'].value;
			data.<portlet:namespace />userMappingScreenName = document.<portlet:namespace />fm['<portlet:namespace />userMappingScreenName'].value;
			data.<portlet:namespace />userMappingPassword = document.<portlet:namespace />fm['<portlet:namespace />userMappingPassword'].value;
			data.<portlet:namespace />userMappingEmailAddress = document.<portlet:namespace />fm['<portlet:namespace />userMappingEmailAddress'].value;
			data.<portlet:namespace />userMappingFullName = document.<portlet:namespace />fm['<portlet:namespace />userMappingFullName'].value;
			data.<portlet:namespace />userMappingFirstName = document.<portlet:namespace />fm['<portlet:namespace />userMappingFirstName'].value;
			data.<portlet:namespace />userMappingLastName = document.<portlet:namespace />fm['<portlet:namespace />userMappingLastName'].value;
			data.<portlet:namespace />userMappingJobTitle = document.<portlet:namespace />fm['<portlet:namespace />userMappingJobTitle'].value;
			data.<portlet:namespace />userMappingGroup = document.<portlet:namespace />fm['<portlet:namespace />userMappingGroup'].value;
		}

		if (url != null) {
			data.<portlet:namespace />baseProviderURL = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_PROVIDER_URL + postfix %>)'].value;
			data.<portlet:namespace />baseDN = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_DN + postfix %>)'].value;
			data.<portlet:namespace />principal = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_PRINCIPAL + postfix %>)'].value;
			data.<portlet:namespace />credentials = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_CREDENTIALS + postfix %>)'].value;

			var popup = Liferay.Popup(
				{
					modal: true,
					url: url,
					urlData: data,
					width: 600
				}
			);
		}
	}

	function <portlet:namespace />saveLdap() {
		var userMappingFields = ['screenName','password','emailAddress','fullName','firstName','lastName','jobTitle','group'];
		var userMappingFieldValues = ['userMappingScreenName','userMappingPassword','userMappingEmailAddress','userMappingFullName','userMappingFirstName','userMappingLastName','userMappingJobTitle','userMappingGroup'];
		var userMappingInput = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_USER_MAPPINGS + postfix %>)'];

		userMappingInput.value = '';

		for (var i = 0; i < userMappingFields.length; i++) {
			var userMappingField = userMappingFields[i];
			var userMappingValue = document.<portlet:namespace />fm['<portlet:namespace />' + userMappingFieldValues[i]].value;

			if (userMappingValue) {
				userMappingInput.value += userMappingFields[i] + '=' + userMappingValue + '\n';
			}
		}

		var groupMappingFields = ['groupName','description','user'];
		var groupMappingFieldValues = ['groupMappingGroupName','groupMappingDescription','groupMappingUser'];
		var groupMappingInput = document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_GROUP_MAPPINGS + postfix %>)'];

		groupMappingInput.value = '';

		for (var i = 0; i<groupMappingFields.length; i++) {
			var groupMappingField = groupMappingFields[i];
			var groupMappingValue = document.<portlet:namespace />fm['<portlet:namespace />' + groupMappingFieldValues[i]].value;

			if (groupMappingValue) {
				groupMappingInput.value += groupMappingFields[i] + '=' + groupMappingValue + '\n';
			}
		}

		document.<portlet:namespace />fm.<portlet:namespace /><%= Constants.CMD %>.value = "<%= ldapServerId <= 0 ? Constants.ADD : Constants.UPDATE %>";

		submitForm(document.<portlet:namespace />fm);
	}

	function <portlet:namespace />updateDefaultLdap() {
		var baseProviderURL = "";
		var baseDN = "";
		var principal = "";
		var credentials = "";
		var searchFilter = "";
		var importUserSearchFilter = "";
		var userMappingScreenName = "";
		var userMappingPassword = "";
		var userMappingEmailAddress = "";
		var userMappingFullName = "";
		var userMappingFirstName = "";
		var userMappingLastName = "";
		var userMappingJobTitle = "";
		var userMappingGroup = "";
		var importGroupSearchFilter = "";
		var groupMappingGroupName = "";
		var groupMappingDescription = "";
		var groupMappingUser = "";

		var ldapType = Liferay.Util.getSelectedRadioValue(document.<portlet:namespace />fm.<portlet:namespace />defaultLdap);

		if (ldapType == "apache") {
			baseProviderURL = "ldap://localhost:10389";
			baseDN = "dc=example,dc=com";
			principal = "uid=admin,ou=system";
			credentials = "secret";
			searchFilter = "(mail=@email_address@)";
			importUserSearchFilter = "(objectClass=person)";
			userMappingScreenName = "cn";
			userMappingPassword = "userPassword";
			userMappingEmailAddress = "mail";
			userMappingFullName = "";
			userMappingFirstName = "givenName";
			userMappingLastName = "sn";
			userMappingJobTitle = "";
			userMappingGroup = "";
			importGroupSearchFilter = "";
			groupMappingGroupName = "";
			groupMappingDescription = "";
			groupMappingUser = "";
		}
		else if (ldapType == "fedora") {
			baseProviderURL = "ldap://localhost:19389";
			baseDN = "dc=localdomain";
			principal = "cn=Directory Manager";
			credentials = "";
			searchFilter = "(mail=@email_address@)";
			importUserSearchFilter = "(objectClass=inetOrgPerson)";
			userMappingScreenName = "uid";
			userMappingPassword = "userPassword";
			userMappingEmailAddress = "mail";
			userMappingFullName = "cn";
			userMappingFirstName = "givenName";
			userMappingLastName = "sn";
			userMappingJobTitle = "title";
			userMappingGroup = "";
			importGroupSearchFilter = "";
			groupMappingGroupName = "";
			groupMappingDescription = "";
			groupMappingUser = "";
		}
		else if (ldapType == "microsoft") {
			baseProviderURL = "ldap://localhost:389";
			baseDN = "dc=example,dc=com";
			principal = "admin";
			credentials = "secret";
			searchFilter = "(&(objectCategory=person)(sAMAccountName=@user_id@))";
			importUserSearchFilter = "(objectClass=person)";
			userMappingScreenName = "sAMAccountName";
			userMappingPassword = "userPassword";
			userMappingEmailAddress = "userprincipalname";
			userMappingFullName = "cn";
			userMappingFirstName = "givenName";
			userMappingLastName = "sn";
			userMappingJobTitle = "";
			userMappingGroup = "memberOf";
			importGroupSearchFilter = "(objectClass=group)";
			groupMappingGroupName = "cn";
			groupMappingDescription = "sAMAccountName";
			groupMappingUser = "member";
		}
		else if (ldapType == "novell") {
			url = "ldap://localhost:389";
			baseDN = "";
			principal = "cn=admin,ou=test";
			credentials = "secret";
			searchFilter = "(mail=@email_address@)";
			importUserSearchFilter = "";
			userMappingScreenName = "cn";
			userMappingPassword = "userPassword";
			userMappingEmailAddress = "mail";
			userMappingFullName = "";
			userMappingFirstName = "givenName";
			userMappingLastName = "sn";
			userMappingJobTitle = "title";
			userMappingGroup = "";
			importGroupSearchFilter = "";
			groupMappingGroupName = "";
			groupMappingDescription = "";
			groupMappingUser = "";
		}
		else if (ldapType == "open") {
			url = "ldap://localhost:389";
			baseDN = "dc=example,dc=com";
			principal = "cn=admin,ou=test";
			credentials = "secret";
			searchFilter = "(mail=@email_address@)";
			importUserSearchFilter = "(objectClass=inetOrgPerson)";
			userMappingScreenName = "cn";
			userMappingPassword = "userPassword";
			userMappingEmailAddress = "mail";
			userMappingFullName = "";
			userMappingFirstName = "givenName";
			userMappingLastName = "sn";
			userMappingJobTitle = "title";
			userMappingGroup = "";
			importGroupSearchFilter = "(objectClass=groupOfUniqueNames)";
			groupMappingGroupName = "cn";
			groupMappingDescription = "description";
			groupMappingUser = "uniqueMember";
		}

		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_PROVIDER_URL + postfix %>)'].value = baseProviderURL;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_DN + postfix %>)'].value = baseDN;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_PRINCIPAL + postfix %>)'].value = principal;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_CREDENTIALS + postfix %>)'].value = credentials;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_AUTH_SEARCH_FILTER + postfix %>)'].value = searchFilter;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_USER_SEARCH_FILTER + postfix %>)'].value = importUserSearchFilter;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingScreenName'].value = userMappingScreenName;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingPassword'].value = userMappingPassword;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingEmailAddress'].value = userMappingEmailAddress;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingFullName'].value = userMappingFullName;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingFirstName'].value = userMappingFirstName;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingLastName'].value = userMappingLastName;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingJobTitle'].value = userMappingJobTitle;
		document.<portlet:namespace />fm['<portlet:namespace />userMappingGroup'].value = userMappingGroup;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_GROUP_SEARCH_FILTER + postfix %>)'].value = importGroupSearchFilter;
		document.<portlet:namespace />fm['<portlet:namespace />groupMappingGroupName'].value = groupMappingGroupName;
		document.<portlet:namespace />fm['<portlet:namespace />groupMappingDescription'].value = groupMappingDescription;
		document.<portlet:namespace />fm['<portlet:namespace />groupMappingUser'].value = groupMappingUser;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_USERS_DN + postfix %>)'].value = baseDN;
		document.<portlet:namespace />fm['<portlet:namespace />settings(<%= PropsKeys.LDAP_GROUPS_DN + postfix %>)'].value = baseDN;
	}
</script>

<form class="uni-form" action="<portlet:actionURL windowState="<%= WindowState.MAXIMIZED.toString() %>"><portlet:param name="struts_action" value="/enterprise_admin_settings/edit_ldap_server" /></portlet:actionURL>" method="post" name="<portlet:namespace />fm" onSubmit="<portlet:namespace />saveLdap(); return false;">
<input name="<portlet:namespace /><%= Constants.CMD %>" type="hidden" value="" />
<input name="<portlet:namespace />redirect" type="hidden" value="<%= HtmlUtil.escapeAttribute(redirect) %>" />
<input name="<portlet:namespace />ldapServerId" type="hidden" value="<%= String.valueOf(ldapServerId) %>" />

<liferay-ui:error key="ldapAuthentication" message="failed-to-bind-to-the-ldap-server-with-given-values" />

<fieldset class="block-labels">
	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(ldap.server.name<%= postfix %>)"><liferay-ui:message key="server-name" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(ldap.server.name<%= postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapServerName) %>" />
	</div>
</fieldset>

<h3><liferay-ui:message key="default-values" /></h3>

<fieldset class="block-labels">
	<div class="ctrl-holder">
		<input name="<portlet:namespace />defaultLdap" type="radio" value="apache"> Apache Directory Server <br />
		<input name="<portlet:namespace />defaultLdap" type="radio" value="fedora"> Fedora Directory Server <br />
		<input name="<portlet:namespace />defaultLdap" type="radio" value="microsoft"> Microsoft Active Directory Server <br />
		<input name="<portlet:namespace />defaultLdap" type="radio" value="novell"> Novell eDirectory <br />
		<input name="<portlet:namespace />defaultLdap" type="radio" value="open"> OpenLDAP <br />
		<input name="<portlet:namespace />defaultLdap" type="radio" value="other"> <liferay-ui:message key="other-directory-server" />
	</div>

	<div class="button-holder">
		<input type="button" value="<liferay-ui:message key="reset-values" />" onClick="<portlet:namespace />updateDefaultLdap();" />
	</div>
</fieldset>

<h3><liferay-ui:message key="connection" /></h3>

<fieldset class="block-labels">
	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_PROVIDER_URL + postfix %>)"><liferay-ui:message key="base-provider-url" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_PROVIDER_URL + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapBaseProviderUrl) %>" />

		<liferay-ui:icon-help message="the-ldap-url-format-is" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_DN + postfix %>)"><liferay-ui:message key="base-dn" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_BASE_DN + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapBaseDN) %>" />

		<liferay-ui:icon-help message="the-ldap-url-format-is" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_PRINCIPAL + postfix %>)"><liferay-ui:message key="principal" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_PRINCIPAL + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapSecurityPrincipal) %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_CREDENTIALS + postfix %>)"><liferay-ui:message key="credentials" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_SECURITY_CREDENTIALS + postfix %>)" type="password" value="<%= HtmlUtil.escape(ldapSecurityCredentials) %>" />
	</div>

	<div class="button-holder">
		<input type="button" value="<liferay-ui:message key="test-ldap-connection" />" onClick="<portlet:namespace/>testSettings('ldapConnection');" />
	</div>
</fieldset>

<h3><liferay-ui:message key="users" /></h3>

<fieldset class="block-labels">
	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_AUTH_SEARCH_FILTER + postfix %>)"><liferay-ui:message key="authentication-search-filter" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_AUTH_SEARCH_FILTER + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapAuthSearchFilter) %>" />

		<liferay-ui:icon-help message="enter-the-search-filter-that-will-be-used-to-test-the-validity-of-a-user" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_USER_SEARCH_FILTER + postfix %>)"><liferay-ui:message key="import-search-filter" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_USER_SEARCH_FILTER + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapImportUserSearchFilter) %>" />
	</div>

	<h4><liferay-ui:message key="user-mapping" /></h4>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingScreenName"><liferay-ui:message key="screen-name" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingScreenName" type="text" value="<%= userMappingScreenName %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingPassword"><liferay-ui:message key="password" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingPassword" type="text" value="<%= userMappingPassword %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingEmailAddress"><liferay-ui:message key="email-address" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingEmailAddress" type="text" value="<%= userMappingEmailAddress %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingFullName"><liferay-ui:message key="full-name" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingFullName" type="text" value="<%= userMappingFullName %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingFirstName"><liferay-ui:message key="first-name" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingFirstName" type="text" value="<%= userMappingFirstName %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingLastName"><liferay-ui:message key="last-name" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingLastName" type="text" value="<%= userMappingLastName %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingJobTitle"><liferay-ui:message key="job-title" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingJobTitle" type="text" value="<%= userMappingJobTitle %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />userMappingGroup"><liferay-ui:message key="group" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />userMappingGroup" type="text" value="<%= userMappingGroup %>" />
	</div>

	<input name="<portlet:namespace />settings(<%= PropsKeys.LDAP_USER_MAPPINGS + postfix %>)" type="hidden" value="" />

	<div class="button-holder">
		<input type="button" value="<liferay-ui:message key="test-ldap-users" />" onClick="<portlet:namespace />testSettings('ldapUsers');" />
	</div>
</fieldset>

<h3><liferay-ui:message key="groups" /></h3>

<fieldset class="block-labels">
	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_GROUP_SEARCH_FILTER + postfix %>)"><liferay-ui:message key="import-search-filter" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_IMPORT_GROUP_SEARCH_FILTER + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapImportGroupSearchFilter) %>" />
	</div>

	<h4><liferay-ui:message key="group-mapping" /></h4>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />groupMappingGroupName"><liferay-ui:message key="group-name" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />groupMappingGroupName" type="text" value="<%= groupMappingGroupName %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />groupMappingDescription"><liferay-ui:message key="description" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />groupMappingDescription" type="text" value="<%= groupMappingDescription %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />groupMappingUser"><liferay-ui:message key="user" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />groupMappingUser" type="text" value="<%= groupMappingUser %>" />
	</div>

	<input name="<portlet:namespace />settings(<%= PropsKeys.LDAP_GROUP_MAPPINGS + postfix %>)" type="hidden" value="" />

	<div class="button-holder">
		<input type="button" value="<liferay-ui:message key="test-ldap-groups" />" onClick="<portlet:namespace />testSettings('ldapGroups');" />
	</div>
</fieldset>

<h3><liferay-ui:message key="import-export" /></h3>

<fieldset class="block-labels">
	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_USERS_DN + postfix %>)"><liferay-ui:message key="users-dn" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_USERS_DN + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapUsersDN) %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_USER_DEFAULT_OBJECT_CLASSES + postfix %>)"><liferay-ui:message key="user-default-object-classes" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_USER_DEFAULT_OBJECT_CLASSES + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapUserDefaultObjectClasses) %>" />
	</div>

	<div class="ctrl-holder">
		<label for="<portlet:namespace />settings(<%= PropsKeys.LDAP_GROUPS_DN + postfix %>)"><liferay-ui:message key="groups-dn" /></label>

		<input class="lfr-input-text" name="<portlet:namespace />settings(<%= PropsKeys.LDAP_GROUPS_DN + postfix %>)" type="text" value="<%= HtmlUtil.escape(ldapGroupsDN) %>" />
	</div>
</fieldset>

<input type="button" value="<liferay-ui:message key="save" />" onClick="<portlet:namespace />saveLdap();" />

<input type="button" value="<liferay-ui:message key="cancel" />" onClick="location.href = '<%= HtmlUtil.escape(PortalUtil.escapeRedirect(redirect)) %>';" />

</form>